"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.options = exports.extensions = void 0;
var node_path_1 = __importDefault(require("node:path"));
var constants_1 = require("../../utilities/constants");
var v11ReactUpdatePageBreadcrumbs = __importStar(require("../v11-react-update-page-breadcrumbs/transform"));
var v11StylesReplaceCustomPropertyBorder = __importStar(require("../v11-styles-replace-custom-property-border/transform"));
var v11StylesReplaceCustomPropertyColor = __importStar(require("../v11-styles-replace-custom-property-color/transform"));
var v11StylesReplaceCustomPropertyDepth = __importStar(require("../v11-styles-replace-custom-property-depth/transform"));
var v11StylesReplaceCustomPropertyLegacy = __importStar(require("../v11-styles-replace-custom-property-legacy/transform"));
var v11StylesReplaceCustomPropertyMotion = __importStar(require("../v11-styles-replace-custom-property-motion/transform"));
var v11StylesReplaceCustomPropertyZIndex = __importStar(require("../v11-styles-replace-custom-property-z-index/transform"));
var transforms = [
    v11ReactUpdatePageBreadcrumbs,
    v11StylesReplaceCustomPropertyBorder,
    v11StylesReplaceCustomPropertyColor,
    v11StylesReplaceCustomPropertyDepth,
    v11StylesReplaceCustomPropertyLegacy,
    v11StylesReplaceCustomPropertyMotion,
    v11StylesReplaceCustomPropertyZIndex,
];
var defaultExtensions = __spreadArray(__spreadArray([], constants_1.typescript.extensions, true), constants_1.scss.extensions, true);
function transformer(fileInfo, api, options) {
    return transforms.reduce(function (source, _a) {
        var transform = _a["default"], _b = _a.extensions, extensions = _b === void 0 ? defaultExtensions : _b;
        var extname = node_path_1["default"].extname(fileInfo.path);
        if (!extensions.includes(extname))
            return fileInfo.source;
        return transform(__assign(__assign({}, fileInfo), { source: source }), api, options);
    }, fileInfo.source);
}
exports["default"] = transformer;
exports.extensions = Array.from(new Set(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray([], v11ReactUpdatePageBreadcrumbs.extensions, true), v11StylesReplaceCustomPropertyBorder.extensions, true), v11StylesReplaceCustomPropertyColor.extensions, true), v11StylesReplaceCustomPropertyDepth.extensions, true), v11StylesReplaceCustomPropertyLegacy.extensions, true), v11StylesReplaceCustomPropertyMotion.extensions, true), v11StylesReplaceCustomPropertyZIndex.extensions, true)));
exports.options = {};
