"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.options = exports.extensions = void 0;
var node_path_1 = __importDefault(require("node:path"));
var v9ScssReplaceBorder = __importStar(require("../v9-scss-replace-border/transform"));
var v9ScssReplaceBorderRadius = __importStar(require("../v9-scss-replace-border-radius/transform"));
var v9ScssReplaceBorderWidth = __importStar(require("../v9-scss-replace-border-width/transform"));
var v9ScssReplaceBreakpoints = __importStar(require("../v9-scss-replace-breakpoints/transform"));
var v9ScssReplaceColor = __importStar(require("../v9-scss-replace-color/transform"));
var v9ScssReplaceDuration = __importStar(require("../v9-scss-replace-duration/transform"));
var v9ScssReplaceEasing = __importStar(require("../v9-scss-replace-easing/transform"));
var v9ScssReplaceFontFamily = __importStar(require("../v9-scss-replace-font-family/transform"));
var v9ScssReplaceFontSize = __importStar(require("../v9-scss-replace-font-size/transform"));
var v9ScssReplaceLineHeight = __importStar(require("../v9-scss-replace-line-height/transform"));
var v9ScssReplaceSpacing = __importStar(require("../v9-scss-replace-spacing/transform"));
var v9ScssReplaceTextEmphasis = __importStar(require("../v9-scss-replace-text-emphasis/transform"));
var v9ScssReplaceZIndex = __importStar(require("../v9-scss-replace-z-index/transform"));
var constants_1 = require("../../utilities/constants");
var transforms = [
    v9ScssReplaceBorder,
    v9ScssReplaceBorderRadius,
    v9ScssReplaceBorderWidth,
    v9ScssReplaceBreakpoints,
    v9ScssReplaceColor,
    v9ScssReplaceDuration,
    v9ScssReplaceEasing,
    v9ScssReplaceFontFamily,
    v9ScssReplaceFontSize,
    v9ScssReplaceLineHeight,
    v9ScssReplaceSpacing,
    v9ScssReplaceTextEmphasis,
    v9ScssReplaceZIndex,
];
var defaultExtensions = constants_1.typescript.extensions;
function transformer(fileInfo, api, options) {
    return transforms.reduce(function (source, _a) {
        var transform = _a["default"], _b = _a.extensions, extensions = _b === void 0 ? defaultExtensions : _b;
        var extname = node_path_1["default"].extname(fileInfo.path).replace('.', '');
        if (!extensions.includes(extname))
            return fileInfo.source;
        return transform(__assign(__assign({}, fileInfo), { source: source }), api, options);
    }, fileInfo.source);
}
exports["default"] = transformer;
exports.extensions = Array.from(new Set(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray([], v9ScssReplaceBorder.extensions, true), v9ScssReplaceBorderRadius.extensions, true), v9ScssReplaceBorderWidth.extensions, true), v9ScssReplaceBreakpoints.extensions, true), v9ScssReplaceColor.extensions, true), v9ScssReplaceDuration.extensions, true), v9ScssReplaceEasing.extensions, true), v9ScssReplaceFontFamily.extensions, true), v9ScssReplaceFontSize.extensions, true), v9ScssReplaceLineHeight.extensions, true), v9ScssReplaceSpacing.extensions, true), v9ScssReplaceTextEmphasis.extensions, true), v9ScssReplaceZIndex.extensions, true)));
exports.options = __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, v9ScssReplaceBorder.options), v9ScssReplaceBorderRadius.options), v9ScssReplaceBorderWidth.options), v9ScssReplaceBreakpoints.options), v9ScssReplaceColor.options), v9ScssReplaceDuration.options), v9ScssReplaceEasing.options), v9ScssReplaceFontFamily.options), v9ScssReplaceFontSize.options), v9ScssReplaceLineHeight.options), v9ScssReplaceSpacing.options), v9ScssReplaceTextEmphasis.options), v9ScssReplaceZIndex.options);
