"use strict";
exports.__esModule = true;
exports.options = exports.extensions = void 0;
var constants_1 = require("../../utilities/constants");
var jsx_1 = require("../../utilities/jsx");
function transformer(file, _a, options) {
    var _b;
    var j = _a.jscodeshift;
    if (!options.componentName || !options.from || !options.to) {
        throw new Error('Missing required options: componentName, from, to');
    }
    var source = j(file.source);
    var componentName = options.componentName;
    var props = (_b = {}, _b[options.from] = options.to, _b);
    (0, jsx_1.renameProps)(j, source, componentName, props);
    return source.toSource();
}
exports["default"] = transformer;
exports.extensions = constants_1.typescript.extensions;
exports.options = {
    relative: constants_1.typescript.options.relative,
    componentName: {
        name: 'componentName',
        type: 'string',
        description: 'The JSX element to target.',
        required: true
    },
    from: {
        name: 'from',
        type: 'string',
        description: 'The target prop to rename.',
        required: true
    },
    to: {
        name: 'to',
        type: 'string',
        description: 'The desired new prop name.',
        required: true
    }
};
