"use strict";
exports.__esModule = true;
exports.options = exports.extensions = void 0;
var constants_1 = require("../../utilities/constants");
var imports_1 = require("../../utilities/imports");
var replace_display_text_1 = require("./steps/replace-display-text");
var replace_other_1 = require("./steps/replace-other");
var replace_text_style_1 = require("./steps/replace-text-style");
exports.extensions = constants_1.typescript.extensions;
exports.options = {
    relative: constants_1.typescript.options.relative,
    componentName: {
        name: 'componentName',
        type: 'string',
        description: 'Target only a specific component. (DisplayText or TextStyle)'
    }
};
function transformer(file, _a, options) {
    var j = _a.jscodeshift;
    var source = j(file.source);
    if (!options.relative &&
        !(0, imports_1.hasImportDeclaration)(j, source, '@shopify/polaris')) {
        return file.source;
    }
    if (options.componentName) {
        if (options.componentName === 'DisplayText') {
            (0, replace_display_text_1.replaceDisplayText)(j, source, options);
        }
        else if (options.componentName === 'TextStyle') {
            (0, replace_text_style_1.replaceTextStyle)(j, source, options);
        }
        else {
            (0, replace_other_1.replaceOther)(j, source, options);
        }
    }
    else {
        (0, replace_display_text_1.replaceDisplayText)(j, source, options);
        (0, replace_other_1.replaceOther)(j, source, options);
        (0, replace_text_style_1.replaceTextStyle)(j, source, options);
    }
    return source.toSource();
}
exports["default"] = transformer;
