"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
exports.__esModule = true;
exports.extensions = void 0;
var constants_1 = require("../../utilities/constants");
var jsx_1 = require("../../utilities/jsx");
exports.extensions = constants_1.typescript.extensions;
function transformer(fileInfo, _a, _) {
    var j = _a.jscodeshift;
    var source = j(fileInfo.source);
    source
        .findJSXElements('Page')
        .find(j.JSXAttribute, {
        name: {
            type: 'JSXIdentifier',
            name: 'breadcrumbs'
        },
        value: {
            type: 'JSXExpressionContainer'
        }
    })
        .find(j.JSXExpressionContainer)
        .filter(function (nodePath) {
        if (nodePath.node.expression.type === 'Identifier') {
            (0, jsx_1.replaceJSXAttributes)(j, j(nodePath).closest(j.JSXElement).paths()[0], 'breadcrumbs', 'backAction');
            (0, jsx_1.insertCommentBefore)(j, j(nodePath).find(j.Identifier).paths()[0], "".concat(constants_1.POLARIS_MIGRATOR_COMMENT, " In this case, you will need to update the breadcrumbs variable to be a single object instead of an array as arrays have been deprecated."));
        }
        if (nodePath.node.expression.type === 'CallExpression') {
            (0, jsx_1.replaceJSXAttributes)(j, j(nodePath).closest(j.JSXElement).paths()[0], 'breadcrumbs', 'backAction');
            (0, jsx_1.insertCommentBefore)(j, j(nodePath).find(j.Identifier).paths()[0], "".concat(constants_1.POLARIS_MIGRATOR_COMMENT, " In this case, you will need to update the breadcrumbs variable to be a single object instead of an array as arrays have been deprecated."));
            return false;
        }
        if (nodePath.node.expression.type === 'ObjectExpression') {
            (0, jsx_1.replaceJSXAttributes)(j, j(nodePath).closest(j.JSXElement).paths()[0], 'breadcrumbs', 'backAction');
        }
        return true;
    })
        .find(j.ArrayExpression)
        .replaceWith(function (nodePath) {
        var _a;
        var arrayOfBreadcrumbs = nodePath.node.elements;
        if (arrayOfBreadcrumbs.length === 0) {
            (0, jsx_1.removeJSXAttributes)(j, nodePath.parentPath.parentPath.parentPath.parentPath, 'breadcrumbs');
            return;
        }
        if (((_a = arrayOfBreadcrumbs[arrayOfBreadcrumbs.length - 1]) === null || _a === void 0 ? void 0 : _a.type) !==
            'ObjectExpression')
            return;
        (0, jsx_1.replaceJSXAttributes)(j, j(nodePath).closest(j.JSXElement).paths()[0], 'breadcrumbs', 'backAction');
        return j.template.expression(templateObject_1 || (templateObject_1 = __makeTemplateObject(["", ""], ["", ""])), arrayOfBreadcrumbs[arrayOfBreadcrumbs.length - 1]);
    });
    return source.toSource();
}
exports["default"] = transformer;
var templateObject_1;
