"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.extensions = void 0;
var transform_1 = __importDefault(require("../styles-replace-custom-property/transform"));
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
function transformer(fileInfo, _) {
    return (0, transform_1["default"])(fileInfo, _, { replacementMaps: replacementMaps });
}
exports["default"] = transformer;
var allMap = {
    '--p-override-loading-z-index': '--p-z-index-6',
    '--p-choice-margin': '--p-space-025',
    '--p-control-border-width': '--p-border-width-2',
    '--p-banner-border-default': 'inset 0 (--p-border-width-1) 0 0 var(--p-color-border-strong), inset 0 0 0 (--p-border-width-1) var(--p-color-border-strong)',
    '--p-banner-border-success': 'inset 0 (--p-border-width-1) 0 0 var(--p-color-border-success-subdued), inset 0 0 0 (--p-border-width-1) var(--p-color-border-success-subdued)',
    '--p-banner-border-highlight': 'inset 0 (--p-border-width-1) 0 0 var(--p-color-border-info-subdued), inset 0 0 0 (--p-border-width-1) var(--p-color-border-info-subdued)',
    '--p-banner-border-warning': 'inset 0 (--p-border-width-1) 0 0 var(--p-color-border-caution-subdued), inset 0 0 0 (--p-border-width-1) var(--p-color-border-caution-subdued)',
    '--p-banner-border-critical': 'inset 0 (--p-border-width-1) 0 0 var(--p-color-border-critical-subdued), inset 0 0 0 (--p-border-width-1) var(--p-color-border-critical-subdued)',
    '--p-thin-border-subdued': 'var(--p-border-width-1) solid var(--p-color-border-subdued)',
    // The following custom properties are overridden in the spaceMap
    '--p-frame-offset': '0',
    '--p-choice-size': '1.25rem',
    '--p-icon-size-small': '0.5rem',
    '--p-icon-size-medium': '1.25rem',
    '--p-text-field-spinner-offset': '0.125rem',
    '--p-text-field-focus-ring-offset': '-0.25rem',
    '--p-range-slider-thumb-size-base': '1rem',
    '--p-range-slider-thumb-size-active': '1.5rem',
    '--p-button-group-item-spacing': 'calc(-1 * var(--p-space-025))'
};
var spaceMap = __assign(__assign({}, allMap), { '--p-choice-size': 'var(--p-space-5)', '--p-icon-size-small': 'var(--p-space-2)', '--p-icon-size-medium': 'var(--p-space-5)', '--p-text-field-spinner-offset': 'var(--p-space-05)', '--p-text-field-focus-ring-offset': 'calc(-1 * var(--p-space-1))', '--p-range-slider-thumb-size-base': 'var(--p-space-4)', '--p-range-slider-thumb-size-active': 'var(--p-space-6)' });
var replacementMaps = {
    '/^padding/': spaceMap,
    '/^margin/': spaceMap,
    '/.+/': allMap
};
