"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.options = exports.extensions = void 0;
var postcss_1 = __importDefault(require("postcss"));
var sass_1 = require("../../utilities/sass");
var types_1 = require("../../utilities/types");
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
exports.options = __assign({}, constants_1.scss.options);
function transformer(fileInfo, _, options) {
    return (0, postcss_1["default"])(plugin(options)).process(fileInfo.source, {
        syntax: require('postcss-scss')
    }).css;
}
exports["default"] = transformer;
var plugin = function (options) {
    if (options === void 0) { options = {}; }
    var namespacePattern = (0, sass_1.getNamespacePattern)(options);
    var namespacedMixinRegExp = new RegExp(String.raw(templateObject_1 || (templateObject_1 = __makeTemplateObject(["^", "([w-]+)"], ["^", "([\\w-]+)"])), namespacePattern));
    return {
        postcssPlugin: 'v9-scss-replace-breakpoints',
        AtRule: function (atRule) {
            var _a;
            if (atRule.name !== 'include')
                return;
            // Extract mixin name e.g. name from `@include name;` or `@include name();`
            var mixinName = (_a = atRule.params.match(namespacedMixinRegExp)) === null || _a === void 0 ? void 0 : _a[1];
            if (!(0, types_1.isKeyOf)(staticBreakpointMixins, mixinName))
                return;
            atRule.assign({
                name: 'media',
                params: staticBreakpointMixins[mixinName]
            });
        }
    };
};
/** Mapping of static breakpoint mixins from old to new */
var staticBreakpointMixins = {
    'page-content-when-partially-condensed': '#{$p-breakpoints-lg-down}',
    'page-content-when-not-partially-condensed': '#{$p-breakpoints-md-up}',
    'page-content-when-fully-condensed': '#{$p-breakpoints-sm-down}',
    'page-content-when-not-fully-condensed': '#{$p-breakpoints-sm-up}',
    'page-content-when-layout-stacked': '#{$p-breakpoints-lg-down}',
    'page-content-when-layout-not-stacked': '#{$p-breakpoints-md-up}',
    'page-before-resource-list-small': '#{$p-breakpoints-sm-down}',
    'page-after-resource-list-small': '#{$p-breakpoints-sm-up}',
    'page-when-not-max-width': '#{$p-breakpoints-lg-down}',
    'when-typography-condensed': '#{$p-breakpoints-md-down}',
    'when-typography-not-condensed': '#{$p-breakpoints-md-up}',
    'frame-when-nav-hidden': '#{$p-breakpoints-md-down}',
    'frame-when-nav-displayed': '#{$p-breakpoints-md-up}',
    'frame-with-nav-when-not-max-width': '#{$p-breakpoints-lg-down}',
    'after-topbar-sheet': '#{$p-breakpoints-sm-up}'
};
var templateObject_1;
