"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.options = exports.extensions = void 0;
var postcss_1 = __importDefault(require("postcss"));
var sass_1 = require("../../utilities/sass");
var types_1 = require("../../utilities/types");
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
exports.options = __assign({}, constants_1.scss.options);
function transformer(fileInfo, _, options) {
    return (0, postcss_1["default"])(plugin(options)).process(fileInfo.source, {
        syntax: require('postcss-scss')
    }).css;
}
exports["default"] = transformer;
var plugin = function (options) {
    if (options === void 0) { options = {}; }
    var namespacePattern = (0, sass_1.getNamespacePattern)(options);
    var namespacedMixinRegExp = new RegExp(String.raw(templateObject_1 || (templateObject_1 = __makeTemplateObject(["^", "([w-]+)"], ["^", "([\\w-]+)"])), namespacePattern));
    return {
        postcssPlugin: 'v9-scss-replace-text-emphasis',
        AtRule: function (atRule) {
            var _a;
            if (atRule.name !== 'include')
                return;
            // Extract mixin name e.g. name from `@include name;` or `@include name();`
            var mixinName = (_a = atRule.params.match(namespacedMixinRegExp)) === null || _a === void 0 ? void 0 : _a[1];
            if (!(0, types_1.isKeyOf)(staticMixins, mixinName))
                return;
            atRule.replaceWith.apply(atRule, Object.entries(staticMixins[mixinName]).map(function (_a) {
                var prop = _a[0], value = _a[1];
                return postcss_1["default"].decl({
                    prop: prop,
                    value: value
                });
            }));
        }
    };
};
/** Mapping of static mixins to replacement declarations */
var staticMixins = {
    // Note: The below mixins do accept arguments, but the logic has
    // since been removed from the mixins.
    'text-emphasis-subdued': {
        color: 'var(--p-text-subdued)'
    },
    'text-emphasis-strong': {
        'font-weight': 'var(--p-font-weight-semibold)'
    },
    'text-emphasis-normal': {
        color: 'var(--p-text)',
        'font-weight': 'var(--p-font-weight-regular)'
    }
};
var templateObject_1;
