"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.check = void 0;
/* eslint-disable jest/no-export, jest/valid-title */
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
var jscodeshift_1 = __importDefault(require("jscodeshift"));
var prettier_1 = __importDefault(require("prettier"));
function applyTransform(transform, input, options) {
    return __awaiter(this, void 0, void 0, function () {
        var transformer, output;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    transformer = transform["default"] ? transform["default"] : transform;
                    return [4 /*yield*/, transformer(input, {
                            jscodeshift: jscodeshift_1["default"].withParser('tsx'),
                            stats: function () { }
                        }, options || {})];
                case 1:
                    output = _a.sent();
                    return [2 /*return*/, (output || '').trim()];
            }
        });
    });
}
var parserExtensionMap = {
    tsx: 'typescript',
    scss: 'scss'
};
function check(dirName, _a) {
    var _this = this;
    var fixture = _a.fixture, transform = _a.transform, _b = _a.extension, extension = _b === void 0 ? 'tsx' : _b, _c = _a.options, options = _c === void 0 ? {} : _c;
    describe(transform, function () {
        it(fixture, function () { return __awaiter(_this, void 0, void 0, function () {
            var fixtureDir, inputPath, parser, source, expected, module, output;
            return __generator(this, function (_a) {
                var _b;
                switch (_a.label) {
                    case 0:
                        fixtureDir = path_1["default"].join(dirName);
                        inputPath = path_1["default"].join(fixtureDir, "".concat(fixture, ".input.").concat(extension));
                        parser = parserExtensionMap[extension];
                        source = fs_1["default"].readFileSync(inputPath, 'utf8');
                        expected = fs_1["default"].readFileSync(path_1["default"].join(fixtureDir, "".concat(fixture, ".output.").concat(extension)), 'utf8');
                        return [4 /*yield*/, (_b = path_1["default"].join(dirName, '..', 'transform'), Promise.resolve().then(function () { return __importStar(require(_b)); }))];
                    case 1:
                        module = _a.sent();
                        return [4 /*yield*/, applyTransform(__assign({}, module), { source: source, path: inputPath }, options)];
                    case 2:
                        output = _a.sent();
                        // Format output and expected with prettier for white spaces and line breaks consistency
                        expect(prettier_1["default"].format(output, { parser: parser })).toBe(prettier_1["default"].format(expected, { parser: parser }));
                        return [2 /*return*/];
                }
            });
        }); });
    });
}
exports.check = check;
