"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
exports.__esModule = true;
exports.insertCommentBefore = exports.insertJSXComment = exports.renameProps = exports.replaceJSXElement = exports.replaceJSXAttributes = exports.insertJSXAttribute = exports.removeJSXAttributes = exports.hasJSXSpreadAttribute = exports.hasJSXAttribute = exports.getJSXAttributes = void 0;
function getJSXAttributes(j, element, attributeName) {
    return j(element)
        .find(j.JSXOpeningElement)
        .find(j.JSXAttribute)
        .filter(function (attribute) {
        var matches = j(attribute)
            .find(j.JSXIdentifier)
            .filter(function (identifier) { return identifier.value.name === attributeName; });
        return Boolean(matches.length);
    });
}
exports.getJSXAttributes = getJSXAttributes;
function hasJSXAttribute(j, element, attributeName) {
    return getJSXAttributes(j, element, attributeName).length > 0;
}
exports.hasJSXAttribute = hasJSXAttribute;
function hasJSXSpreadAttribute(j, element) {
    return (j(element).find(j.JSXOpeningElement).find(j.JSXSpreadAttribute).length > 0);
}
exports.hasJSXSpreadAttribute = hasJSXSpreadAttribute;
function removeJSXAttributes(_j, element, attributeName) {
    var _a;
    var jsxAttributes = (_a = element.value.attributes) === null || _a === void 0 ? void 0 : _a.filter(function (attr) { return attr.type === 'JSXAttribute' && attr.name.name === attributeName; });
    if (!jsxAttributes)
        return;
    jsxAttributes.forEach(function (attr) {
        var jsxAttribute = attr;
        jsxAttribute.name.name = '';
        jsxAttribute.value = null;
    });
}
exports.removeJSXAttributes = removeJSXAttributes;
function insertJSXAttribute(j, element, attributeName, attributeValue) {
    var newComponent = j.jsxElement(j.jsxOpeningElement(element.node.openingElement.name, __spreadArray(__spreadArray([], (element.node.openingElement.attributes || []), true), [
        j.jsxAttribute(j.jsxIdentifier(attributeName), attributeValue ? j.stringLiteral(attributeValue) : null),
    ], false)), element.node.closingElement, element.node.children);
    return j(element).replaceWith(newComponent);
}
exports.insertJSXAttribute = insertJSXAttribute;
function replaceJSXAttributes(j, element, attributeName, newAttributeName, newAttributeValue) {
    return getJSXAttributes(j, element, attributeName).forEach(function (attribute) {
        j(attribute)
            .find(j.JSXIdentifier)
            .replaceWith(j.jsxIdentifier(newAttributeName));
        if (!newAttributeValue) {
            return;
        }
        j(attribute)
            .find(j.StringLiteral)
            .forEach(function (literal) {
            literal.node.value =
                typeof newAttributeValue === 'string'
                    ? newAttributeValue
                    : newAttributeValue[literal.node.value];
        });
    });
}
exports.replaceJSXAttributes = replaceJSXAttributes;
function replaceJSXElement(j, element, componentName) {
    var newComponent = j.jsxElement(j.jsxOpeningElement(j.jsxIdentifier(componentName), element.node.openingElement.attributes), j.jsxClosingElement(j.jsxIdentifier(componentName)), element.node.children);
    return j(element).replaceWith(newComponent);
}
exports.replaceJSXElement = replaceJSXElement;
function renameProps(_j, source, componentName, props) {
    var _a;
    var fromProps = Object.keys(props);
    var isFromProp = function (prop) {
        return fromProps.includes(prop);
    };
    (_a = source.findJSXElements(componentName)) === null || _a === void 0 ? void 0 : _a.forEach(function (path) {
        var _a;
        (_a = path.node.openingElement.attributes) === null || _a === void 0 ? void 0 : _a.forEach(function (node) {
            if (node.type === 'JSXAttribute' && isFromProp(node.name.name)) {
                node.name.name = props[node.name.name];
            }
        });
    });
    return source;
}
exports.renameProps = renameProps;
function insertJSXComment(j, element, comment, position) {
    if (position === void 0) { position = 'before'; }
    var commentContent = j.jsxEmptyExpression();
    commentContent.comments = [j.commentBlock(" ".concat(comment, " "), false, true)];
    var jsxComment = j.jsxExpressionContainer(commentContent);
    var lineBreak = j.jsxText('\n');
    if (position === 'before') {
        element.insertBefore(jsxComment);
        element.insertBefore(lineBreak);
    }
    if (position === 'after') {
        element.insertAfter(lineBreak);
        element.insertAfter(jsxComment);
    }
}
exports.insertJSXComment = insertJSXComment;
function insertCommentBefore(j, path, comment) {
    var content = " ".concat(comment, " ");
    path.value.comments = path.value.comments || [];
    var exists = path.value.comments.find(
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    function (comment) { return comment.value === content; });
    // Avoiding duplicates of the same comment
    if (exists)
        return;
    path.value.comments.push(j.commentBlock(content));
}
exports.insertCommentBefore = insertCommentBefore;
